SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0003551: when migrating from 2.3 to 2.4 openvpnclient tunnel names are not migrated - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003551Endian FirewallMigrationpublic2011-03-22 16:182011-08-22 14:52
Reportersimon-endian 
Assigned Tolorenzo-endian 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.4.1 
Target VersionFixed in Version2.4 
Summary0003551: when migrating from 2.3 to 2.4 openvpnclient tunnel names are not migrated
Descriptionif for example on a 2.3 the openvpnclient tunnel configuration was saved in /var/efw/openvpnclients/MyTunnel it should get migrated to /var/efw/openvpnclients/mytunnel otherwhise it leads to problem with the key in the datasource which leads to problems with the hotspot.

traceback:
...
File "/usr/lib/python2.4/site-packages/endian/emi/widgets/relationfield.py", line 49, in update_params
  File "/usr/lib/python2.4/site-packages/endian/hotspot/schema.py", line 46, in getVPNServer
  File "/usr/lib/python2.4/site-packages/endian/data/ds.py", line 55, in iteritems
  File "/usr/lib/python2.4/site-packages/endian/data/ds.py", line 49, in __getitem__
KeyError: "'MYTUNNEL' in 'openvpnclients'"
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006030)
lorenzo-endian (manager)
2011-03-29 12:54

Hey simon!

I have tried to setup a gw2gw openvpn connection called "MyTunnelForTesting", but is it saved as "mytunnelfortesting" ...

Am I missing something?

Bye

Lo
(0007331)
lorenzo-endian (manager)
2011-08-22 14:52

Hey Simon!

I tried to create a tunnel with name "MyTunnel" on a 2.2 and then I upgraded it to 2.4.

The tunnel is migrated in the right way and it can be proven by:

root@efw-lo-22:~ # cd /var/log/
root@efw-lo-22:/var/log # grep -r -i mytunnel *
emi:Aug 22 16:41:34 efw-lo-22 emi[12927]: VPNclient: Migrate '/var/efw/openvpnclients/MyTunnel' to '/var/efw/openvpnclients/mytunnel'
^C
root@efw-lo-22:/var/log # cd ..
root@efw-lo-22:/var # cd efw/
root@efw-lo-22:/var/efw # grep -r -i mytunnel *
openvpnclients/mytunnel/settings:NAME=mytunnel
root@efw-lo-22:/var/efw #

If this problem arises again, please feel free to reopen this bug!

Thanks a lot!

Lo

- Issue History
Date Modified Username Field Change
2011-03-22 16:18 simon-endian New Issue
2011-03-29 12:54 lorenzo-endian Note Added: 0006030
2011-03-29 12:54 lorenzo-endian Assigned To => lorenzo-endian
2011-03-29 12:54 lorenzo-endian Status new => feedback
2011-08-22 14:52 lorenzo-endian Note Added: 0007331
2011-08-22 14:52 lorenzo-endian Status feedback => closed
2011-08-22 14:52 lorenzo-endian Resolution open => fixed
2011-08-22 14:52 lorenzo-endian Fixed in Version => 2.4

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker